<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_confusionmat.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_confusionmat" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_confusionmat</refname>
    <refpurpose>Confusion matrix for visualization of the performance of an algorithm</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   CM = nan_confusionmat(G,GHAT)
   CM = nan_confusionmat(G,GHAT,ORDER)
   [CM, GORDER] = nan_confusionmat(G, GHAT)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>G:</term>
      <listitem><para> actual group labels</para></listitem></varlistentry>
   <varlistentry><term>GHAT:</term>
      <listitem><para> predicted group labels</para></listitem></varlistentry>
   <varlistentry><term>CM :</term>
      <listitem><para> confusion matrix</para></listitem></varlistentry>
   <varlistentry><term>ORDER:</term>
      <listitem><para> (vector) species the order of rows (and columns) of the confusion matrix</para></listitem></varlistentry>
   <varlistentry><term>GORDER:</term>
      <listitem><para> order of group labels   for rows and columns of CM.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
The confusion matrix CM(I,J) represents the count of instances
whose actual group labels are group I and whose predicted group labels
are group J.
   </para>
   <para>
predicted Classes
   </para>
   <para>
___|_____|______|
   </para>
   <para>
actual     ' |     |      |
   </para>
   <para>
Classes    |     |      |
   </para>
   <para>
If the number of classes is two then the first class is the positive class and the second class is the negative class
   </para>
   <para>
CM(1,1) is the number of true positive instances
   </para>
   <para>
CM(2,1) is the number of false negative instances
   </para>
   <para>
CM(1,2) is the number of false positive instances
   </para>
   <para>
CM(2,2) is the number of true negative instances
   </para>
   <para>
nan_confusionmat treats NaNs, empty strings or 'undefined'
values in G or GHAT as missing values, and removes those entries
   </para>
   <para>
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
actual=   [0 0 1 1 0 0 0]
predicted=[0 1 0 1 0 0 1]
// now we have 3 true positive (0 were classified as 0)
// 2 false negatives (0 were incorrectly marked as 1)
// 1 false positive (1 were incorrectly marked as 0)
// 1 true negatives (1 were correctly classified as 1)
[cm,order] = nan_confusionmat(actual,predicted)

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_grp2idx">nan_grp2idx</link></member>
   <member><link linkend="nan_partest">nan_partest</link></member>
   </simplelist>
</refsection>
</refentry>
